Token Request Options
data class TokenRequestOptions(val roomName: String? = null, val participantName: String? = null, val participantIdentity: String? = null, val participantMetadata: String? = null, val participantAttributes: Map<String, String>? = null, val agentName: String? = null, val agentMetadata: String? = null, val agentDeployment: String? = null, val agentAttributes: Map<String, String>? = null)
The options for a token request.
When making a custom request against a token server, this is converted into TokenSourceRequest through toRequest.
Constructors
Link copied to clipboard
constructor(roomName: String? = null, participantName: String? = null, participantIdentity: String? = null, participantMetadata: String? = null, participantAttributes: Map<String, String>? = null, agentName: String? = null, agentMetadata: String? = null, agentDeployment: String? = null, agentAttributes: Map<String, String>? = null)
Properties
Link copied to clipboard
Attributes to set on the dispatched agent participant.
Link copied to clipboard
Optional deployment to target. Leave empty to target the production deployment.
Link copied to clipboard
Link copied to clipboard
Link copied to clipboard
Link copied to clipboard
Link copied to clipboard
Functions
Link copied to clipboard
Converts a TokenRequestOptions to TokenSourceRequest, a JSON serializable request body.